Bug 525953 - Failure when partitioning vda disk
Summary: Failure when partitioning vda disk
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: rawhide
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: anaconda_trace_hash:c2769d8a22c59e541...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-27 19:49 UTC by Dougal Ballantyne
Modified: 2010-03-03 16:10 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-28 13:44:09 UTC


Attachments (Terms of Use)
Attached traceback automatically from anaconda. (146.04 KB, text/plain)
2009-09-27 19:49 UTC, Dougal Ballantyne
no flags Details
Attached traceback automatically from anaconda. (642.92 KB, text/plain)
2009-12-01 16:49 UTC, Steve Dickson
no flags Details
Attached traceback automatically from anaconda. (119.99 KB, text/plain)
2010-03-03 16:10 UTC, Gavin Romig-Koch
no flags Details

Description Dougal Ballantyne 2009-09-27 19:49:53 UTC
The following was filed automatically by anaconda:
anaconda 12.15 exception report
Traceback (most recent call first):
  File "/usr/lib/anaconda/storage/devicelibs/lvm.py", line 163, in pvcreate
    raise LVMError("pvcreate failed for %s" % device)
  File "/usr/lib/anaconda/storage/formats/lvmpv.py", line 93, in create
    lvm.pvcreate(self.device)
  File "/usr/lib/anaconda/storage/deviceaction.py", line 273, in execute
    options=self.device.formatArgs)
  File "/usr/lib/anaconda/storage/devicetree.py", line 700, in processActions
    action.execute(intf=self.intf)
  File "/usr/lib/anaconda/storage/__init__.py", line 230, in doIt
    self.devicetree.processActions()
  File "/usr/lib/anaconda/packages.py", line 117, in turnOnFilesystems
    anaconda.id.storage.doIt()
  File "/usr/lib/anaconda/dispatch.py", line 204, in moveStep
    rc = stepFunc(self.anaconda)
  File "/usr/lib/anaconda/dispatch.py", line 127, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/gui.py", line 1201, in nextClicked
    self.anaconda.dispatch.gotoNext()
LVMError: pvcreate failed for /dev/vda2

Comment 1 Dougal Ballantyne 2009-09-27 19:49:59 UTC
Created attachment 362828 [details]
Attached traceback automatically from anaconda.

Comment 2 Chris Lumens 2009-09-28 13:44:09 UTC
There are lots of error messages like the following in your syslog:

<3>end_request: I/O error, dev vda, sector 409639
<3>Buffer I/O error on device vda1, logical block 51197
<4>lost page write due to I/O error on vda1
<3>Buffer I/O error on device vda1, logical block 51198
<4>lost page write due to I/O error on vda1
<3>Buffer I/O error on device vda1, logical block 51199

This indicates either a problem with hardware or with the kernel.  Can you please attempt to verify this bug and if so, open a new one against the kernel?  There's really not much anaconda can do about problems like this, nor is it even very easy to detect them in all the places they can occur.

Comment 3 Steve Dickson 2009-12-01 16:49:57 UTC
Created attachment 375117 [details]
Attached traceback automatically from anaconda.

Comment 4 Gavin Romig-Koch 2010-03-03 16:10:10 UTC
Created attachment 397595 [details]
Attached traceback automatically from anaconda.


Note You need to log in before you can comment on or make changes to this bug.